R"raw_string(
#version 120
attribute vec2 in_vertex;
attribute vec2 in_position;
attribute vec2 in_velocity;
varying vec2 velocity;
varying vec2 vertex;
uniform float time;
uniform float size;
void main()
{
  vec2 p = size*in_vertex;
  p += log(1.0+time) * in_velocity;
  p += in_position;
  gl_Position = vec4(p, 0.0, 1.0);

  vertex = in_vertex;
  velocity = in_velocity;
}
)raw_string"